﻿@model IEnumerable<EM.Presentation.Models.ReplyVM>

@{
    ViewBag.Title = "Index1";
    Layout = "~/Views/Shared/_CustomLayout.cshtml";
}

<h2>Index1</h2>


<table class="table text-center" id="table" align="center">
    <tr style="border:1px solid black"></tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.ParticipantName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Text)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CreatedOn)
            </td>
            <td>
                @Html.ActionLink("Rep", "Index1", new { commid = item.Id }) |
                @Html.ActionLink("Edit", "Edit3", new { id = item.Id }) |
                @Html.ActionLink("Delete", "Delete1", new { id = item.Id })
        </tr>
    }

</table>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
  $("button").click(function(){
    $("textarea").toggle();
  });
});
</script>
<body>
    <textarea id="comm1" placeholder="votre commentaire"></textarea>
    <button class="btn btn-rose" id="show">Mettre un commentaire<div class="ripple-container"></div></button>


</body>
@section scripts{
    <script>
    $(function() {
        function getContent(){
            return document.getElementById("comm1").value
        }

        $("#comm1").keyup(function (e){
            var keycode = (event.keyCode ? event.keyCode : event.which);
            if(keycode == '13'){

                var contenu1 = document.getElementById("comm1").value;
                if (contenu1 == "") {
                    window.console("un commentaire  ne peut pas etre vide ");
                }
                else {

                    $.ajax({
                        url: '@Url.Action("Create1", "Reply")' + "?contenu1=" + contenu1,
                        type: "POST",
                        success: function (result) {
                            $('#table').append(result)
                            $("#comm1").val("")
                        }

                    })

                }
            }


        })
    });
    </script>
    }